{
    "name": "civbase",
    "version": "0.0.14",
    "description": "",
    "repository": {
        "type": "git",
        "url": "https://g.civnet.cn:8443/ReactWeb5/CivWeb.git"
    },
    "engines": {
        "npm": ">=5",
        "node": ">=8.15.1"
    },
    "author": "dengxiaofeng",
    "license": "MIT",
    "scripts": {
        "init": "npm install --registry=https://g.civnet.cn:4873",
        "analyze:clean": "rimraf stats.json",
        "preanalyze": "npm run analyze:clean",
        "analyze": "cross-env ANALYZE=1 npm run build",
        "npmcheckversion": "node ./internals/scripts/npmcheckversion.js",
        "preinstall": "npm run npmcheckversion",
        "build": "cross-env NODE_ENV=production node --max_old_space_size=4096 internals/webpack/build.js",
        "build:clean": "rimraf ./build",
        "openapi": "cross-env NODE_ENV=development node server/openapi/run.js",
        "start": "cross-env REACT_APP_ENV=dev NODE_ENV=development node server --port=$port",
        "start:tunnel": "cross-env NODE_ENV=development ENABLE_TUNNEL=true node server",
        "start:production": "npm run test && npm run build && npm run start:prod",
        "start:prod": "cross-env NODE_ENV=production node server",
        "release": "np --no-cleanup --yolo --no-publish",
        "cm": "git-cz",
        "log": "conventional-changelog -p angular -i CHANGELOG.md -s -r 0 && git add CHANGELOG.md",
        "update:deps": "yarn upgrade-interactive --latest",
        "presetup": "npm i chalk shelljs",
        "setup": "node ./internals/scripts/setup.js",
        "clean": "shjs ./internals/scripts/clean.js",
        "clean:all": "npm run analyze:clean && npm run test:clean && npm run build:clean",
        "generate": "plop --plopfile internals/generators/index.js",
        "lint": "npm run lint:js  && npm run lint:prettier",
        "lint:style": "stylelint --fix \"src/**/*.less\" --syntax less",
        "lint:eslint": "eslint --ignore-path .gitignore --ignore-pattern internals/scripts",
        "lint:eslint:fix": "eslint --ignore-path .gitignore --ignore-pattern internals/scripts --fix",
        "lint:fix": "eslint --fix --cache --ext .js,.jsx,.ts,.tsx --format=pretty ./src",
        "lint:js": "eslint --cache --ext .js,.jsx,.ts,.tsx --format=pretty ./src ",
        "lint:prettier": "prettier -c ./src/**/*.js",
        "lint:staged": "lint-staged",
        "pretest": "npm run test:clean && npm run lint",
        "prettier": "prettier --write ./src/**/*.js",
        "test:clean": "rimraf ./coverage",
        "test": "cross-env NODE_ENV=test jest --coverage",
        "test:watch": "cross-env NODE_ENV=test jest --watchAll",
        "coveralls": "cat ./coverage/lcov.info | coveralls",
        "prettify": "prettier --write"
    },
    "browserslist": [
        "last 2 versions",
        "> 1%",
        "IE 10"
    ],
    "config": {
        "commitizen": {
            "path": "cz-conventional-changelog"
        }
    },
    "husky": {
        "hooks": {
            "pre-commit": "lint-staged",
            "commit-msg": "commitlint -E HUSKY_GIT_PARAMS"
        }
    },
    "lint-staged": {
        "*.js": [
            "npm run lint:eslint:fix",
            "git add --force"
        ],
        "*.json": [
            "prettier --write",
            "git add --force"
        ]
    },
    "pre-commit": "lint:staged",
    "mock": true,
    "checkFiles": [
        "src/**/*.js*",
        "src/**/*.ts*",
        "src/**/*.less",
        "config/**/*.js*",
        "scripts/**/*.js"
    ],
    "resolutions": {
        "babel-core": "7.0.0-bridge.0"
    },
    "dependencies": {
        "@amap/amap-jsapi-loader": "^1.0.1",
        "@ant-design/colors": "^5.0.1",
        "@ant-design/icons": "^4.0.0",
        "@ant-design/pro-layout": "^6.24.1",
        "@ant-design/pro-skeleton": "^1.0.0-beta.2",
        "@ant-design/pro-table": "^2.5.3",
        "@ant-design/pro-utils": "^1.10.4",
        "@babel/polyfill": "7.4.3",
        "@babel/runtime": "^7.10.5",
        "@wisdom-cesium/cesium": "^1.0.64",
        "@wisdom-components/empty": "^1.4.1",
        "@wisdom-map/arcgismap": "^1.0.60-0",
        "@wisdom-map/util": "^1.0.27-0",
        "@wisdom-utils/components": "0.0.14",
        "@wisdom-utils/runtime": "0.0.15",
        "@wisdom-utils/utils": "0.0.63",
        "animate.css": "^4.1.1",
        "antd": "^4.17.4",
        "compression": "1.7.4",
        "connected-react-router": "6.4.0",
        "fontfaceobserver": "2.1.0",
        "history": "4.9.0",
        "hoist-non-react-statics": "3.3.0",
        "immer": "3.0.0",
        "immutable": "^4.0.0-rc.12",
        "js-base64": "^3.5.2",
        "js-cookie": "^2.2.1",
        "kit_global_config": "^1.0.41",
        "kit_logger": "^1.0.2",
        "kit_utils": "^1.3.11",
        "lodash": "4.17.11",
        "minimist": "1.2.0",
        "mqtt-client": "^1.0.11",
        "omit.js": "^2.0.2",
        "pinyin-match": "^1.1.1",
        "promise.prototype.finally": "^3.1.2",
        "prop-types": "15.7.2",
        "qiankun": "^2.4.6",
        "qrcode.react": "^1.0.0",
        "rc-cascader": "^2.3.2",
        "react": "16.12.0",
        "react-dom": "16.12.0",
        "react-draggable": "^4.4.3",
        "react-helmet": "6.0.0-beta",
        "react-helmet-async": "^1.0.4",
        "react-iframe": "^1.8.0",
        "react-intl": "^3.12.1",
        "react-redux": "7.0.2",
        "react-router-config": "^5.1.1",
        "react-router-dom": "5.3.0",
        "react-svg": "^14.0.11",
        "react-use": "^15.3.4",
        "redux": "4.0.1",
        "redux-immutable": "^4.0.0",
        "redux-saga": "1.0.2",
        "redux-thunk": "^2.3.0",
        "reselect": "4.0.0",
        "sanitize.css": "8.0.0",
        "sha1": "^1.1.1",
        "styled-components": "4.2.0",
        "use-merge-value": "^1.0.2"
    },
    "devDependencies": {
        "@babel/cli": "7.4.3",
        "@babel/core": "7.4.3",
        "@babel/plugin-proposal-class-properties": "7.4.0",
        "@babel/plugin-syntax-dynamic-import": "7.2.0",
        "@babel/plugin-transform-flow-strip-types": "^7.12.13",
        "@babel/plugin-transform-modules-commonjs": "7.4.3",
        "@babel/plugin-transform-react-constant-elements": "7.2.0",
        "@babel/plugin-transform-react-inline-elements": "7.2.0",
        "@babel/plugin-transform-react-jsx": "^7.12.16",
        "@babel/preset-env": "7.4.3",
        "@babel/preset-react": "7.0.0",
        "@babel/register": "7.4.0",
        "@commitlint/cli": "^9.1.2",
        "@commitlint/config-conventional": "^9.1.2",
        "@pmmmwh/react-refresh-webpack-plugin": "^0.4.3",
        "@svgr/webpack": "4.3.3",
        "@umijs/bundler-utils": "3.3.7",
        "@umijs/deps": "^0.8.1",
        "@umijs/fabric": "^2.2.0",
        "@umijs/runtime": "3.3.7",
        "@umijs/utils": "3.3.7",
        "babel-core": "7.0.0-bridge.0",
        "babel-eslint": "10.0.1",
        "babel-loader": "8.0.5",
        "babel-plugin-dynamic-import-node": "2.2.0",
        "babel-plugin-import": "^1.13.0",
        "babel-plugin-inline-react-svg": "^2.0.1",
        "babel-plugin-lodash": "3.3.4",
        "babel-plugin-react-intl": "3.0.1",
        "babel-plugin-styled-components": "1.10.0",
        "babel-plugin-transform-react-remove-prop-types": "0.4.24",
        "bcore": "^0.0.22",
        "body-parser": "^1.19.0",
        "chalk": "2.4.2",
        "child_process": "^1.0.2",
        "circular-dependency-plugin": "5.0.2",
        "classnames": "^2.2.6",
        "cliui": "^7.0.4",
        "compare-versions": "3.4.0",
        "compression-webpack-plugin": "2.0.0",
        "conventional-changelog-cli": "^2.1.0",
        "copy-webpack-plugin": "^5.0.4",
        "core-js": "^3.6.5",
        "coveralls": "3.0.3",
        "cross-env": "^5.2.1",
        "css-loader": "^4.2.1",
        "cz-customizable": "^6.3.0",
        "dotenv": "^8.2.0",
        "ejs": "^3.1.6",
        "eslint": "^5.16.0",
        "eslint-config-airbnb": "17.1.0",
        "eslint-config-airbnb-base": "13.1.0",
        "eslint-config-prettier": "4.1.0",
        "eslint-import-resolver-webpack": "0.11.1",
        "eslint-plugin-import": "^2.17.2",
        "eslint-plugin-jsx-a11y": "6.2.1",
        "eslint-plugin-prettier": "3.0.1",
        "eslint-plugin-react": "7.12.4",
        "eslint-plugin-react-hooks": "1.6.0",
        "eslint-plugin-redux-saga": "1.0.0",
        "express": "^4.17.1",
        "file-loader": "3.0.1",
        "friendly-errors-webpack-plugin": "^1.7.0",
        "fs-extra": "^9.0.1",
        "html-loader": "0.5.5",
        "html-webpack-plugin": "5.5.0",
        "http-proxy-middleware": "^1.0.5",
        "husky": "^2.3.0",
        "imports-loader": "0.8.0",
        "invariant": "2.2.4",
        "ip": "1.1.5",
        "jest-cli": "24.7.1",
        "jest-dom": "3.1.3",
        "jest-styled-components": "6.3.1",
        "jsonp": "^0.2.1",
        "less": "3.12.0",
        "less-loader": "5.0.0",
        "lint-staged": "8.1.5",
        "memoizee": "^0.4.15",
        "microser-data": "^2.1.3",
        "mini-css-extract-plugin": "^0.12.0",
        "mockjs": "^1.0.1-beta3",
        "moment": "^2.29.1",
        "mousetrap": "^1.6.5",
        "multer": "^1.4.2",
        "nanoid": "^3.1.16",
        "node-fetch": "^2.6.1",
        "node-plop": "0.18.0",
        "np": "^7.0.0",
        "null-loader": "0.1.1",
        "nunjucks": "^3.2.2",
        "optimize-css-assets-webpack-plugin": "5.0.4",
        "ora": "^5.1.0",
        "path-to-regexp": "^2.4.0",
        "plop": "2.3.0",
        "postcss": "7.0.32",
        "postcss-flexbugs-fixes": "4.2.1",
        "postcss-loader": "3.0.0",
        "postcss-preset-env": "6.7.0",
        "postcss-safe-parser": "^4.0.2",
        "pre-commit": "1.2.2",
        "prettier": "1.17.0",
        "querystring-browser": "^1.0.4",
        "raw-loader": "^4.0.2",
        "react-activation": "^0.9.9",
        "react-app-polyfill": "0.2.2",
        "react-error-overlay": "6.0.8",
        "react-inlinesvg": "^2.3.0",
        "react-refresh": "^0.9.0",
        "react-sticky": "^6.0.3",
        "react-test-renderer": "16.8.6",
        "react-testing-library": "6.1.2",
        "redux-logger": "^3.0.6",
        "regenerator-runtime": "^0.13.7",
        "reserved-words": "^0.1.2",
        "rimraf": "2.6.3",
        "shelljs": "0.8.3",
        "slash2": "^2.0.0",
        "speed-measure-webpack-plugin": "1.3.3",
        "spinner": "^0.3.4",
        "stats-webpack-plugin": "0.7.0",
        "style-loader": "^1.2.1",
        "stylelint": "10.0.1",
        "stylelint-config-recommended": "2.2.0",
        "stylelint-config-styled-components": "0.1.1",
        "stylelint-processor-styled-components": "1.6.0",
        "svg-url-loader": "^2.3.2",
        "swagger-ui-react": "^4.0.0-beta.4",
        "swagger2openapi": "^7.0.5",
        "terser-webpack-plugin": "1.2.3",
        "traverse": "^0.6.6",
        "umi-webpack-bundle-analyzer": "3.6.0",
        "url-loader": "1.1.2",
        "webpack": "^5.65.0",
        "webpack-chain": "6.5.1",
        "webpack-cli": "4.2.0",
        "webpack-dev-middleware": "5.3.0",
        "webpack-hot-middleware": "2.24.3",
        "webpack-manifest-plugin": "^3.0.0",
        "webpack-theme-color-replacer": "^1.3.15",
        "webpackbar": "5.0.0-3",
        "whatwg-fetch": "^3.0.0",
        "yorkie": "^2.0.0"
    }
}
